#include"../../Maid/FrameWork/Windows/CApplicationWindows.h"

using namespace Maid;

//	Windowsプログラムの雛形


//	基本的に IApplicationWindows を継承して
//	MainLoop() の中を実装するようにする
class CApp : public IApplicationWindows
{
protected:
	virtual void OnSetup(){}
	virtual void OnCleanup(){}

	virtual void OnLoop()
	{
		static int count = 0;

		++count;
		::MessageBox( NULL, "テストー", NULL, MB_OK );


		if( count==5 )
		{
			//	５回 MessageBox を出したら終わる
			ApplicationExit();
		}
	}
};


int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow )
{
	CApp capp;
	return capp.Run( hInstance, hPrevInstance, lpCmdLine, nCmdShow );
}